View Issue Details

IDProjectCategoryView StatusLast Update
16206Bug reportsSurvey takingpublic2020-08-13 10:45
Reportertpartner Assigned Togabrieljenik  
PrioritynoneSeverityminor 
Status resolvedResolutionfixed 
Product Version4.2.1 
Summary16206: Slider tip indicates false error
Description

When initially manipulating the slider, the tip indicates an invalid answer (class "ls-em-success text-danger"), although that is impossible.

See screen-cast - https://screencast-o-matic.com/watch/cYfUIJBX9y

TagsNo tags attached.
Complete LimeSurvey version number (& build)4.2.1
I will donate to the project if issue is resolvedNo
BrowserN/A
Database & DB-Versionmysqlnd 5.0.12
Server OS (if known)Windows 10
Webserver software & version (if known)Apache/2.4.39 (Win64)
PHP Version7.3.7

Activities

gabrieljenik

gabrieljenik

2020-07-28 19:11

developer   ~59129

PR: https://github.com/LimeSurvey/LimeSurvey/pull/1508

sushmanadendla

sushmanadendla

2020-08-04 10:48

manager   ~59284

Last edited: 2020-08-13 10:45

Tested the issue before pulling the PR, Issue exist. Tested the issue after pulling the PR, below are my findings:
Before PR: https://screencast-o-matic.com/watch/cYjeIdE939
After PR: https://screencast-o-matic.com/watch/cYje2cE9T6
Please refer the recordings for more details
Working as expected

gabrieljenik

gabrieljenik

2020-08-12 17:57

developer   ~59453

Last edited: 2020-08-13 10:45

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=30373

Related Changesets

LimeSurvey: master e6a4bb4d

2020-08-12 17:55:38

gabrieljenik


Committer: GitHub Details Diff
Fixed issue 16206: Slider tip indicates false error (#1508)

Dev: Added extra validation for situations where value got NaN
Affected Issues
16206
mod - assets/packages/questions/numeric-slider/scripts/numeric-slider.js Diff File

Issue History

Date Modified Username Field Change
2020-04-29 15:58 tpartner New Issue
2020-04-29 15:58 tpartner Status new => assigned
2020-04-29 15:58 tpartner Assigned To => cdorin
2020-07-09 16:50 cdorin Assigned To cdorin =>
2020-07-28 19:11 gabrieljenik Note Added: 59129
2020-08-04 10:48 sushmanadendla Note Added: 59284
2020-08-12 17:57 gabrieljenik Changeset attached => LimeSurvey master e6a4bb4d
2020-08-12 17:57 gabrieljenik Note Added: 59453
2020-08-12 17:57 gabrieljenik Assigned To => gabrieljenik
2020-08-12 17:57 gabrieljenik Resolution open => fixed
2020-08-13 10:45 swendrich Status assigned => resolved